سیستم مورد نیاز WHMCS 8

در این آموزش به بهترین و حداقل سیستم مورد نیاز WHMCS 8 می پردازیم. امروزه اکثر وب سرور های موجود که PHP و MySQL در آن نصب شده باشد، توانایی نصب و اجرای WHMCS را دارند.

جدول زیر به حداقل سیستم مورد نیاز برای اجرای WHMCS 8.0 اشاره می‌کند. همچنین سیستم پیشنهاد شده برای بهترین اجرای WHMCS اشاره شده است.

اگر شما از حداقل سیستم پیشنهادی که اشاره شده است استفاده کنید، می توانید WHMCS را اجرا کنید. توصیه میشود که تمام نرم افزار ها و ماژول ها را آپدیت کنید و از جدیدترین نسخه های آن استفاده کنید.

 

عنوان حداقل سیستم  مورد نیاز سیستم پیشنهادی
PHP Version 7.2 Latest 7.3 or 7.4 Release
PHP Memory Limit 64MB 128MB
PHP Database Extension PDO PDO
PHP Extensions Curl with SSL

GD2 Image Library
JSON Support
XML

Iconv

MBString
GMP
OpenSSL
BC Math
Intl

MySQL Version 5.2.0 Latest 5.7
Ioncube Loaders 10.2.0 or later The latest 10.x Ioncube for your PHP version

 

 

پیشنهاد شده است که WHMCS در سیستم عامل های لینوکسی نصب و اجرا شود. این سیستم های پیشنهادی نیز برای لینوکس ارائه شده است. محیط های دیگر مثل ویندوزی ممکن هست که با مشکلاتی همراه باشد که این مورد را حتما در نظر داشته باشید.

مقدار حافظه پی اچ پی ممکن هست باتوجه به نیاز شما تفاوت داشته باشد؛ بنابراین این مورد صرفا یک مقدار پیشنهادی و استاندارد می باشد. در صورتی که میزان مصرف و فعالیت شما متفاوت است این مقدار را بیشتر در نظر بگیرید.

به عنوان بخشی از انطباق با PCI ، ممکن است یک کتابخانه SSL با قابلیت TLS 1.2 مورد نیاز باشد. در صورت استفاده از OpenSSL ، نسخه 1.0.1c یا نسخه جدیدتر توصیه می شود.

این آموزشی بود برای منابع و سیستم مورد نیاز WHMCS 8 که هنگامی شما خرید vps انجام میدهید و یا سرور اختصاصی تهیه میکنید و نیاز به نصب هاست روی سرور مجازی خود دارید و میخواهید از سیستم WHMCS استفاده کنید.

در این مقاله به بررسی سیستم مورد نیاز WHMCS 7 میپردازیم که منابع آن متفاوت است. همچنین میتوانید این مطلب را در سایت اصلی WHMCS مطالعه بفرمایید.

 

سیستم مورد نیاز WHMCS 8

ممکن است شما دوست داشته باشید
ارسال یک پاسخ

آدرس ایمیل شما منتشر نخواهد شد.